## pyopencl 2018.2.2

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = python3 `which sphinx-build`
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d build/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
.PHONY: help clean html web pickle htmlhelp latex changes linkcheck

constants:
	python3 make_constants.py > constants.inc

clean:
	-rm -rf build/*

html: constants
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

singlehtml: constants
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle: constants
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json: constants
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp: constants
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp: constants
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/loopy.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/loopy.qhc"

devhelp: constants
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/loopy"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/loopy"
	@echo "# devhelp"

epub: constants
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex: constants
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf: constants
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text: constants
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man: constants
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes: constants
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck: constants
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest: constants
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
pyopencl (2018.2.2-1) unstable; urgency=medium

  * New upstream release
    * Update d/copyright.
    * Refresh patches.
  * Add abort-on-upstream-changes to d/source/local-options.
  * Add more hardening options to d/rules.
  * Add lintian override for lack of autopkgtest.
  * Add DEB_BUILD_OPTIONS terse.
  * Update Standards-Version to 4.3.0; no changes necessary.
  * Set compatibility level to 12; no changes necessary.
  * Update debian/watch to use substitution variables.

 -- Tomasz Rybak <serpent@debian.org>  Sun, 27 Jan 2019 15:24:03 +0100

pyopencl (2018.2.1-1) unstable; urgency=medium

  * New upstream release, move to pybind11.
    * Update build dependencies.
    * Refresh patches.
    * Remove obsolete entries from d/copyright.
  * Add Rules-Requires-Root to d/control.
  * Update hardening build options.
  * Update d/copyright links to use https protocol.
  * Reorder d/control putting Python 3 packages first.
  * Remove unnecessary X-Python{,3}-Version fields.
  * Update Standards-Version to 4.2.1; no changes necessary.
  * Set compatibility level to 11
    * Point python-pycuda-doc.doc-base to main package's doc directory.

 -- Tomasz Rybak <serpent@debian.org>  Sun, 18 Nov 2018 18:44:36 +0100

=== debian/control ===
Source: pyopencl
Section: python
Priority: optional
Maintainer: Debian OpenCL Maintainers <pkg-opencl-devel@lists.alioth.debian.org>
Uploaders: Tomasz Rybak <serpent@debian.org>
Build-Depends: debhelper (>= 12),
 dh-python,
 python-all-dev,
 python-all-dbg,
 python3-all-dev,
 python3-all-dbg,
 python3-doc <!nodoc>,
 python-numpy-doc <!nodoc>,
 python-mako-doc <!nodoc>,
 pybind11-dev,
 python-pybind11,
 python3-pybind11,
 python-setuptools,
 python3-setuptools,
 opencl-c-headers,
 ocl-icd-opencl-dev | opencl-dev,
 mesa-common-dev,
 python-numpy (>= 1:1.4.1-4~),
 python3-numpy,
 python-sphinx (>= 1.0.7+dfsg) <!nodoc>,
 python3-sphinx (>= 1.0.7+dfsg) <!nodoc>,
 python3-mako,
 python-pytools (>= 2017.6),
 python3-pytools (>= 2017.6)
Standards-Version: 4.3.0
Rules-Requires-Root: no
Homepage: http://mathema.tician.de/software/pyopencl
Vcs-Git: https://salsa.debian.org/opencl-team/python-pyopencl.git
Vcs-Browser: https://salsa.debian.org/opencl-team/python-pyopencl

Package: python3-pyopencl
Architecture: amd64 i386 kfreebsd-amd64 kfreebsd-i386 arm64 armhf
Multi-Arch: no
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends},
 ocl-icd-libopencl1 | libopencl1,
 pocl-opencl-icd | opencl-icd,
 python3-pkg-resources,
 python3-appdirs (>= 1.4.0),
 python3-numpy,
 python3-pytools (>= 2017.6),
 python3-six
Recommends: python-pyopencl-doc <!nodoc>,
 python3-mako
Suggests: python3-imaging-tk,
 python3-opengl,
 python3-pytest,
 python3-matplotlib,
 python3-pyopencl-dbg
Replaces: python-pyopencl-headers
Description: Python 3 module to access OpenCL parallel computation API
 PyOpenCL lets you access the OpenCL parallel computation API from
 Python. Here's what sets PyOpenCL apart:
  * Object cleanup tied to lifetime of objects. This idiom, often called
    RAII in C++, makes it much easier to write correct, leak- and
    crash-free code.
  * Completeness. PyOpenCL puts the full power of OpenCL’s API at your
    disposal, if you wish.
  * Convenience. While PyOpenCL's primary focus is to make all of OpenCL
    accessible, it tries hard to make your life less complicated as it
    does so--without taking any shortcuts.
  * Automatic Error Checking. All OpenCL errors are automatically
    translated into Python exceptions.
  * Speed. PyOpenCL’s base layer is written in C++, so all the niceties
    above are virtually free.
  * Helpful, complete documentation and a wiki.
  * Liberal licensing (MIT).
 .
 This package contains Python 3 modules.

Package: python3-pyopencl-dbg
Section: debug
Architecture: amd64 i386 kfreebsd-amd64 kfreebsd-i386 arm64 armhf
Multi-Arch: no
Depends: python3-pyopencl (= ${binary:Version}), python3-dbg,
 ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends},
 python3-cffi-backend-dbg
Description: Python 3 module to access OpenCL API (debug extensions)
 PyOpenCL lets you access the OpenCL parallel computation API from
 Python. Here's what sets PyOpenCL apart:
  * Object cleanup tied to lifetime of objects. This idiom, often called
    RAII in C++, makes it much easier to write correct, leak- and
    crash-free code.
  * Completeness. PyOpenCL puts the full power of OpenCL’s API at your
    disposal, if you wish.
  * Convenience. While PyOpenCL's primary focus is to make all of OpenCL
    accessible, it tries hard to make your life less complicated as it
    does so--without taking any shortcuts.
  * Automatic Error Checking. All OpenCL errors are automatically
    translated into Python exceptions.
  * Speed. PyOpenCL’s base layer is written in C++, so all the niceties
    above are virtually free.
  * Helpful, complete documentation and a wiki.
  * Liberal licensing (MIT).
 .
 This package contains extensions build for the Python 3 debug interpreter.

Package: python-pyopencl
Architecture: amd64 i386 kfreebsd-amd64 kfreebsd-i386 arm64 armhf
Multi-Arch: no
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
 ocl-icd-libopencl1 | libopencl1,
 pocl-opencl-icd | opencl-icd,
 python-pkg-resources,
 python-appdirs (>= 1.4.0),
 python-numpy,
 python-pytools (>= 2017.6),
 python-six
Recommends: python-pyopencl-doc <!nodoc>,
 python-opengl,
 python-mako
Suggests: python-imaging-tk,
 python-pytest,
 python-matplotlib,
 python-pyopencl-dbg
Replaces: python-pyopencl-headers
Description: Python module to access OpenCL parallel computation API
 PyOpenCL lets you access the OpenCL parallel computation API from
 Python. Here's what sets PyOpenCL apart:
  * Object cleanup tied to lifetime of objects. This idiom, often called
    RAII in C++, makes it much easier to write correct, leak- and
    crash-free code.
  * Completeness. PyOpenCL puts the full power of OpenCL’s API at your
    disposal, if you wish.
  * Convenience. While PyOpenCL's primary focus is to make all of OpenCL
    accessible, it tries hard to make your life less complicated as it
    does so--without taking any shortcuts.
  * Automatic Error Checking. All OpenCL errors are automatically
    translated into Python exceptions.
  * Speed. PyOpenCL’s base layer is written in C++, so all the niceties
    above are virtually free.
  * Helpful, complete documentation and a wiki.
  * Liberal licensing (MIT).

Package: python-pyopencl-dbg
Section: debug
Architecture: amd64 i386 kfreebsd-amd64 kfreebsd-i386 arm64 armhf
Multi-Arch: no
Depends: python-pyopencl (= ${binary:Version}), python-dbg,
 ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
 python-cffi-backend-dbg
Description: Python module to access OpenCL API (debug extensions)
 PyOpenCL lets you access the OpenCL parallel computation API from
 Python. Here's what sets PyOpenCL apart:
  * Object cleanup tied to lifetime of objects. This idiom, often called
    RAII in C++, makes it much easier to write correct, leak- and
    crash-free code.
  * Completeness. PyOpenCL puts the full power of OpenCL’s API at your
    disposal, if you wish.
  * Convenience. While PyOpenCL's primary focus is to make all of OpenCL
    accessible, it tries hard to make your life less complicated as it
    does so--without taking any shortcuts.
  * Automatic Error Checking. All OpenCL errors are automatically
    translated into Python exceptions.
  * Speed. PyOpenCL’s base layer is written in C++, so all the niceties
    above are virtually free.
  * Helpful, complete documentation and a wiki.
  * Liberal licensing (MIT).
 .
 This package contains debug extensions build for the Python debug interpreter.

Package: python-pyopencl-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Build-Profiles: <!nodoc>
Depends: ${sphinxdoc:Depends},
 ${misc:Depends}
Recommends: python3-doc,
 python-numpy-doc,
 python-mako-doc
Suggests: python-pyopencl,
 python3-pyopencl
Description: module to access OpenCL parallel computation API (documentation)
 PyOpenCL lets you access the OpenCL parallel computation API from
 Python. Here's what sets PyOpenCL apart:
  * Object cleanup tied to lifetime of objects. This idiom, often called
    RAII in C++, makes it much easier to write correct, leak- and
    crash-free code.
  * Completeness. PyOpenCL puts the full power of OpenCL’s API at your
    disposal, if you wish.
  * Convenience. While PyOpenCL's primary focus is to make all of OpenCL
    accessible, it tries hard to make your life less complicated as it
    does so--without taking any shortcuts.
  * Automatic Error Checking. All OpenCL errors are automatically
    translated into Python exceptions.
  * Speed. PyOpenCL’s base layer is written in C++, so all the niceties
    above are virtually free.
  * Helpful, complete documentation and a wiki.
  * Liberal licensing (MIT).
 .
 This package contains HTML documentation and example scripts.

=== debian/rules ===
#! /usr/bin/make -f

ifeq (,$(filter terse,$(DEB_BUILD_OPTIONS)))
export DH_VERBOSE = 1
else
export DH_QUIET = 1
endif

#export DH_BUILD_DDEBS = 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
include /usr/share/dpkg/pkg-info.mk

export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

export PYBUILD_DESTDIR_python2=debian/python-pyopencl/
export PYBUILD_DESTDIR_python2-dbg=debian/python-pyopencl-dbg/
export PYBUILD_DESTDIR_python3=debian/python3-pyopencl/
export PYBUILD_DESTDIR_python3-dbg=debian/python3-pyopencl-dbg/

ifneq (,$(filter nostrip,$(DEB_BUILD_OPTIONS)))
DEB_CXXFLAGS_MAINT_STRIP=-O2
DEB_CXXFLAGS_MAINT_APPEND=-O0
endif

BUILD_DATE=$(shell LC_ALL=C date -u "+%B %d, %Y" -d "@$(SOURCE_DATE_EPOCH)")
SPHINXOPTS:=-D today=\"$(BUILD_DATE)\"
SPHINXOPTS+=-D html_last_updated_fmt=\"$(BUILD_DATE)\"

# persistent dict needs a writable directory and HOME on the buildd is not
export CACHE=$(CURDIR)/.cache/
export XDG_CACHE_HOME=$(CACHE)

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem pybuild

override_dh_auto_configure:
	./configure.py --cl-enable-gl

override_dh_auto_install:
	dh_auto_install
	dh_numpy
	dh_numpy3

override_dh_installdocs:
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	pybuild --build -i python3 -s custom --build-args 'make -C {dir}/doc html'
	dh_installdocs
endif

# Sphinx documentation is architecture-independent
override_dh_sphinxdoc-arch:

# Do not run test automatically - they require OpenCL-capable hardware
override_dh_auto_test:

override_dh_compress:
	dh_compress --all -X.py -X.txt -X.js -X.rst -X.json -X.doctree -Xobjects.inv

override_dh_strip:
ifeq (,$(filter nostrip,$(DEB_BUILD_OPTIONS)))
	dh_strip -ppython-pyopencl --dbg-package=python-pyopencl-dbg
#	dh_strip -ppython-pyopencl --ddeb-migration='python-pyopencl-dbg (<< 2015.1-1)'
	dh_strip -ppython3-pyopencl --dbg-package=python3-pyopencl-dbg
#	dh_strip -ppython3-pyopencl --ddeb-migration='python3-pyopencl-dbg (<< 2015.1-1)'
endif

override_dh_clean:
	dh_clean
	rm -rf $(CACHE)

GIT_REVISION=v2018.2.2
GIT_SUBMODULES=pyopencl/compyte
GIT_URL=https://git.tiker.net/trees/pyopencl.git

get-orig-source:
	rm -rf $(DEB_SOURCE)-$(DEB_VERSION_UPSTREAM) $(DEB_SOURCE)_$(DEB_VERSION_UPSTREAM).orig.tar.gz
	git clone $(GIT_URL) $(DEB_SOURCE)-$(DEB_VERSION_UPSTREAM)
	cd $(DEB_SOURCE)-$(DEB_VERSION_UPSTREAM) && git submodule init $(GIT_SUBMODULES) && git submodule update $(GIT_SUBMODULES) && git checkout $(GIT_REVISION)
	rm -rf $(DEB_SOURCE)-$(DEB_VERSION_UPSTREAM)/.git*
	rm -rf $(DEB_SOURCE)-$(DEB_VERSION_UPSTREAM)/doc/.gitignore $(DEB_SOURCE)-$(DEB_VERSION_UPSTREAM)/examples/.gitignore
	rm -rf $(DEB_SOURCE)-$(DEB_VERSION_UPSTREAM)/$(GIT_SUBMODULES)/.git $(DEB_SOURCE)-$(DEB_VERSION_UPSTREAM)/$(GIT_SUBMODULES)/.gitignore
	tar caf $(DEB_SOURCE)_$(DEB_VERSION_UPSTREAM).orig.tar.xz $(DEB_SOURCE)-$(DEB_VERSION_UPSTREAM)
	rm -rf $(DEB_SOURCE)-$(DEB_VERSION_UPSTREAM)

## pyopencl 2019.1.1

=== debian/changelog ===
pyopencl (2019.1.1-1build1) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 09:27:35 +0100

pyopencl (2019.1.1-1) unstable; urgency=medium

  * New upstream release.
    * Refresh patches.
  * Remove Python 2 packages, preparing for #937497.
    * Add patch to run build under Python 3.
  * Update Standards-Version to 4.4.1; no changes necessary.
  * Use debhelper-compat versioned dependency instead of d/compat
    to mark debhelper compatibility level.
  * Update d/copyright; use debmake suggestion and change name of MIT
    to Expat licence, removing ambiguity.
  * Add upstream GPG key.
  * Remove Replaces: python-pyopencl-headers, not-relevant even
    in oldoldstable.

 -- Tomasz Rybak <serpent@debian.org>  Tue, 05 Nov 2019 22:10:21 +0100

=== debian/control ===
--- 
+++ 
@@ -3,31 +3,24 @@
 Priority: optional
 Maintainer: Debian OpenCL Maintainers <pkg-opencl-devel@lists.alioth.debian.org>
 Uploaders: Tomasz Rybak <serpent@debian.org>
-Build-Depends: debhelper (>= 12),
+Build-Depends: debhelper-compat (= 12),
  dh-python,
- python-all-dev,
- python-all-dbg,
  python3-all-dev,
  python3-all-dbg,
  python3-doc <!nodoc>,
  python-numpy-doc <!nodoc>,
  python-mako-doc <!nodoc>,
  pybind11-dev,
- python-pybind11,
  python3-pybind11,
- python-setuptools,
  python3-setuptools,
  opencl-c-headers,
  ocl-icd-opencl-dev | opencl-dev,
  mesa-common-dev,
- python-numpy (>= 1:1.4.1-4~),
  python3-numpy,
- python-sphinx (>= 1.0.7+dfsg) <!nodoc>,
  python3-sphinx (>= 1.0.7+dfsg) <!nodoc>,
  python3-mako,
- python-pytools (>= 2017.6),
  python3-pytools (>= 2017.6)
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Rules-Requires-Root: no
 Homepage: http://mathema.tician.de/software/pyopencl
 Vcs-Git: https://salsa.debian.org/opencl-team/python-pyopencl.git
@@ -51,7 +44,6 @@
  python3-pytest,
  python3-matplotlib,
  python3-pyopencl-dbg
-Replaces: python-pyopencl-headers
 Description: Python 3 module to access OpenCL parallel computation API
  PyOpenCL lets you access the OpenCL parallel computation API from
  Python. Here's what sets PyOpenCL apart:
@@ -99,70 +91,6 @@
  .
  This package contains extensions build for the Python 3 debug interpreter.
 
-Package: python-pyopencl
-Architecture: amd64 i386 kfreebsd-amd64 kfreebsd-i386 arm64 armhf
-Multi-Arch: no
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
- ocl-icd-libopencl1 | libopencl1,
- pocl-opencl-icd | opencl-icd,
- python-pkg-resources,
- python-appdirs (>= 1.4.0),
- python-numpy,
- python-pytools (>= 2017.6),
- python-six
-Recommends: python-pyopencl-doc <!nodoc>,
- python-opengl,
- python-mako
-Suggests: python-imaging-tk,
- python-pytest,
- python-matplotlib,
- python-pyopencl-dbg
-Replaces: python-pyopencl-headers
-Description: Python module to access OpenCL parallel computation API
- PyOpenCL lets you access the OpenCL parallel computation API from
- Python. Here's what sets PyOpenCL apart:
-  * Object cleanup tied to lifetime of objects. This idiom, often called
-    RAII in C++, makes it much easier to write correct, leak- and
-    crash-free code.
-  * Completeness. PyOpenCL puts the full power of OpenCL’s API at your
-    disposal, if you wish.
-  * Convenience. While PyOpenCL's primary focus is to make all of OpenCL
-    accessible, it tries hard to make your life less complicated as it
-    does so--without taking any shortcuts.
-  * Automatic Error Checking. All OpenCL errors are automatically
-    translated into Python exceptions.
-  * Speed. PyOpenCL’s base layer is written in C++, so all the niceties
-    above are virtually free.
-  * Helpful, complete documentation and a wiki.
-  * Liberal licensing (MIT).
-
-Package: python-pyopencl-dbg
-Section: debug
-Architecture: amd64 i386 kfreebsd-amd64 kfreebsd-i386 arm64 armhf
-Multi-Arch: no
-Depends: python-pyopencl (= ${binary:Version}), python-dbg,
- ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
- python-cffi-backend-dbg
-Description: Python module to access OpenCL API (debug extensions)
- PyOpenCL lets you access the OpenCL parallel computation API from
- Python. Here's what sets PyOpenCL apart:
-  * Object cleanup tied to lifetime of objects. This idiom, often called
-    RAII in C++, makes it much easier to write correct, leak- and
-    crash-free code.
-  * Completeness. PyOpenCL puts the full power of OpenCL’s API at your
-    disposal, if you wish.
-  * Convenience. While PyOpenCL's primary focus is to make all of OpenCL
-    accessible, it tries hard to make your life less complicated as it
-    does so--without taking any shortcuts.
-  * Automatic Error Checking. All OpenCL errors are automatically
-    translated into Python exceptions.
-  * Speed. PyOpenCL’s base layer is written in C++, so all the niceties
-    above are virtually free.
-  * Helpful, complete documentation and a wiki.
-  * Liberal licensing (MIT).
- .
- This package contains debug extensions build for the Python debug interpreter.
-
 Package: python-pyopencl-doc
 Section: doc
 Architecture: all
@@ -173,8 +101,7 @@
 Recommends: python3-doc,
  python-numpy-doc,
  python-mako-doc
-Suggests: python-pyopencl,
- python3-pyopencl
+Suggests: python3-pyopencl
 Description: module to access OpenCL parallel computation API (documentation)
  PyOpenCL lets you access the OpenCL parallel computation API from
  Python. Here's what sets PyOpenCL apart:

=== debian/watch ===
version=4
opts="mode=git, gitmode=full, pgpmode=gittag" https://git.tiker.net/trees/@PACKAGE@.git refs/tags/v@ANY_VERSION@ debian uupdate

## pyopencl 2021.1.2

=== debian/changelog ===
pyopencl (2021.1.2-1) unstable; urgency=medium

  * New upstream release.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 23 Feb 2021 04:55:42 +0100

pyopencl (2021.1.1-1) unstable; urgency=medium

  * New upstream release.
  * Build-Depend on dh-sequence-{python3,numpy3,sphinxdoc}.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 30 Jan 2021 05:34:02 +0100

pyopencl (2021.1-1) unstable; urgency=medium

  * New upstream release.
  * Use release tarballs from pypi.
  * Refresh patches.
  * Build-depend on python3-sphinx-copybutton.
  * Continue using the sphinx alabaster theme, furo is not yet packaged.
  * Cleanup debian/rules.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 28 Jan 2021 21:47:46 +0100

pyopencl (2020.3.1-1) unstable; urgency=medium

  * Team upload

  [ Andreas Beckmann ]
  * New upstream release.
  * Refresh patches.
  * Fix building and cleaning the new release.

  [ Picca Frédéric-Emmanuel ]
  * building doc requires a HOME, set it to /tmp
  * d/rules: Added build time tests  (Closes: #960436)
  * d/control: Added Build-Depends python3-pytest <!nocheck>
  * d/t/control: Added in order to test as installed on debci
  * Use secure URI in Homepage field.
  * d/control: Added python3-mako to python3-pyopencl, this missing
    package what spotted by autopkgtests.
  * Upload to unstable.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sat, 19 Dec 2020 11:15:19 +0100

pyopencl (2020.2.2-1) experimental; urgency=medium

  [ Andreas Beckmann ]
  * New upstream release.  (Closes: #971829)
  * Refresh patches.
  * Bump Build-Depends: python3-pybind11 (>= 2.5.0).
  * The bullseye toolchain defaults to linking with --as-needed.
  * Build for all architectures where pocl-opencl-icd is available.
    (Closes: #947864) (LP: #1264844)
  * Import upstream tarballs into the packaging repository.
  * Use github repository as upstream.
  * Let the get-orig-source target create a reproducible tarball.
  * Switch to debhelper-compat (= 13)
  * Update Standards-Version to 4.5.1; no changes necessary.
  * Fix building twice in a row.
  * Rewrite shebang in python examples to python3.
  * Add myself to Uploaders.
  * Upload to experimental.

  [ Tomasz Rybak ]
  * Add options to get verbose log from pybuild.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 03 Dec 2020 15:44:37 +0100

pyopencl (2016.1+git20160809-3) experimental; urgency=medium

  * Build for all architectures for which we have OpenCL ICDs.

 -- Tomasz Rybak <tomasz.rybak@post.pl>  Tue, 13 Sep 2016 20:45:47 +0200

=== debian/control ===
--- 
+++ 
@@ -2,48 +2,62 @@
 Section: python
 Priority: optional
 Maintainer: Debian OpenCL Maintainers <pkg-opencl-devel@lists.alioth.debian.org>
-Uploaders: Tomasz Rybak <serpent@debian.org>
-Build-Depends: debhelper-compat (= 12),
- dh-python,
+Uploaders:
+ Tomasz Rybak <serpent@debian.org>,
+ Andreas Beckmann <anbe@debian.org>,
+Build-Depends:
+ debhelper-compat (= 13),
+ dh-sequence-numpy3,
+ dh-sequence-python3,
+ mesa-common-dev,
+ ocl-icd-opencl-dev | opencl-dev,
+ opencl-c-headers,
+ pocl-opencl-icd,
+ pybind11-dev,
+ python3-all-dbg,
  python3-all-dev,
- python3-all-dbg,
+ python3-mako,
+ python3-numpy,
+ python3-pybind11 (>= 2.5.0),
+ python3-pytest <!nocheck>,
+ python3-pytools (>= 2017.6),
+ python3-setuptools,
+Build-Depends-Indep:
+ dh-sequence-sphinxdoc <!nodoc>,
+ python-mako-doc <!nodoc>,
+ python-numpy-doc <!nodoc>,
  python3-doc <!nodoc>,
- python-numpy-doc <!nodoc>,
- python-mako-doc <!nodoc>,
- pybind11-dev,
- python3-pybind11,
- python3-setuptools,
- opencl-c-headers,
- ocl-icd-opencl-dev | opencl-dev,
- mesa-common-dev,
- python3-numpy,
  python3-sphinx (>= 1.0.7+dfsg) <!nodoc>,
- python3-mako,
- python3-pytools (>= 2017.6)
-Standards-Version: 4.4.1
+ python3-sphinx-copybutton <!nodoc>,
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
-Homepage: http://mathema.tician.de/software/pyopencl
+Homepage: https://mathema.tician.de/software/pyopencl
 Vcs-Git: https://salsa.debian.org/opencl-team/python-pyopencl.git
 Vcs-Browser: https://salsa.debian.org/opencl-team/python-pyopencl
 
 Package: python3-pyopencl
-Architecture: amd64 i386 kfreebsd-amd64 kfreebsd-i386 arm64 armhf
+Architecture: any
 Multi-Arch: no
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends},
+Depends:
  ocl-icd-libopencl1 | libopencl1,
  pocl-opencl-icd | opencl-icd,
+ python3-appdirs (>= 1.4.0),
+ python3-mako,
+ python3-numpy,
  python3-pkg-resources,
- python3-appdirs (>= 1.4.0),
- python3-numpy,
  python3-pytools (>= 2017.6),
- python3-six
-Recommends: python-pyopencl-doc <!nodoc>,
- python3-mako
-Suggests: python3-imaging-tk,
+ python3-six,
+ ${misc:Depends},
+ ${python3:Depends},
+ ${shlibs:Depends},
+Recommends:
+ python-pyopencl-doc <!nodoc>,
+Suggests:
+ python3-imaging-tk,
+ python3-matplotlib,
  python3-opengl,
+ python3-pyopencl-dbg,
  python3-pytest,
- python3-matplotlib,
- python3-pyopencl-dbg
 Description: Python 3 module to access OpenCL parallel computation API
  PyOpenCL lets you access the OpenCL parallel computation API from
  Python. Here's what sets PyOpenCL apart:
@@ -66,11 +80,14 @@
 
 Package: python3-pyopencl-dbg
 Section: debug
-Architecture: amd64 i386 kfreebsd-amd64 kfreebsd-i386 arm64 armhf
+Architecture: any
 Multi-Arch: no
-Depends: python3-pyopencl (= ${binary:Version}), python3-dbg,
- ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends},
- python3-cffi-backend-dbg
+Depends:
+ python3-dbg,
+ python3-pyopencl (= ${binary:Version}),
+ ${misc:Depends},
+ ${python3:Depends},
+ ${shlibs:Depends},
 Description: Python 3 module to access OpenCL API (debug extensions)
  PyOpenCL lets you access the OpenCL parallel computation API from
  Python. Here's what sets PyOpenCL apart:
@@ -96,12 +113,15 @@
 Architecture: all
 Multi-Arch: foreign
 Build-Profiles: <!nodoc>
-Depends: ${sphinxdoc:Depends},
- ${misc:Depends}
-Recommends: python3-doc,
+Depends:
+ ${misc:Depends},
+ ${sphinxdoc:Depends},
+Recommends:
+ python-mako-doc,
  python-numpy-doc,
- python-mako-doc
-Suggests: python3-pyopencl
+ python3-doc,
+Suggests:
+ python3-pyopencl,
 Description: module to access OpenCL parallel computation API (documentation)
  PyOpenCL lets you access the OpenCL parallel computation API from
  Python. Here's what sets PyOpenCL apart:

=== debian/rules ===
#! /usr/bin/make -f

ifeq (,$(filter terse,$(DEB_BUILD_OPTIONS)))
export DH_VERBOSE = 1
export PYBUILD_VERBOSE=1
else
export DH_QUIET = 1
endif

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND = -Wall -pedantic
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
include /usr/share/dpkg/pkg-info.mk

export PYBUILD_DESTDIR_python3=debian/python3-$(DEB_SOURCE)/
export PYBUILD_DESTDIR_python3-dbg=debian/python3-$(DEB_SOURCE)-dbg/

ifneq (,$(filter nostrip,$(DEB_BUILD_OPTIONS)))
DEB_CXXFLAGS_MAINT_STRIP=-O2
DEB_CXXFLAGS_MAINT_APPEND=-O0
endif

BUILD_DATE=$(shell LC_ALL=C date -u "+%B %d, %Y" -d "@$(SOURCE_DATE_EPOCH)")
SPHINXOPTS:=-D today=\"$(BUILD_DATE)\"
SPHINXOPTS+=-D html_last_updated_fmt=\"$(BUILD_DATE)\"

%:
	dh $@ --buildsystem pybuild

override_dh_auto_configure:
	./configure.py --cl-enable-gl

execute_after_dh_auto_build-indep:
	env HOME=$(mktemp -d) \
	pybuild --build -i python3 -s custom --build-args 'make -C {dir}/doc html'

execute_after_dh_auto_clean:
	$(MAKE) -C doc clean
	$(RM) doc/constants.inc
	$(RM) -r tmp
	$(RM) Makefile siteconf.py

override_dh_auto_test:
	dh_auto_test -- -s custom --test-args="PYTHONPATH={build_dir} cp -r {dir}/test {build_dir} && cd {build_dir}/test && {interpreter} -m pytest --verbosity=2 -k 'not test_event_set_callback' && rm -rf {build_dir}/test"

override_dh_strip:
ifeq (,$(filter nostrip,$(DEB_BUILD_OPTIONS)))
	dh_strip -ppython3-$(DEB_SOURCE) --dbg-package=python3-$(DEB_SOURCE)-dbg
endif

=== debian/tests/control ===
Test-Command: set -efu
 ; cp -a test "$AUTOPKGTEST_TMP"
 ; for py in $(py3versions -r 2>/dev/null)
 ; do cd "$AUTOPKGTEST_TMP/test"
 ; echo "Testing with $py:"
 ; $py -m pytest --verbosity=2 2>&1
 ; done
Depends:
 python3-all,
 python3-pyopencl,
 python3-pytest,

Test-Command: set -efu
 ; cp -a test "$AUTOPKGTEST_TMP"
 ; for py in $(py3versions -r 2>/dev/null)
 ; do cd "$AUTOPKGTEST_TMP/test"
 ; echo "Testing with $py-dbg:"
 ; $py-dbg -m pytest --verbosity=2 -k 'not test_event_set_callback' 2>&1
 ; done
Depends:
 python3-all-dbg,
 python3-pyopencl-dbg,
 python3-pytest,

=== debian/watch ===
version=4

https://pypi.python.org/packages/source/p/@PACKAGE@/ \
@PACKAGE@-(.+)\.tar\.gz debian uupdate

## pyopencl 2021.2.13

=== debian/changelog ===
pyopencl (2021.2.13-1build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 16 Mar 2022 22:59:24 +0000

pyopencl (2021.2.13-1) unstable; urgency=medium

  * New upstream release.
  * Support the nocheck build profile with reduced build dependencies.
  * Add alternate (Build-)Depends: mesa-opencl-icd to allow building on all
    architectures even if we can't run the tests.  (Closes: #1001545)

 -- Andreas Beckmann <anbe@debian.org>  Thu, 10 Feb 2022 08:50:00 +0100

pyopencl (2021.2.9-1) unstable; urgency=medium

  * New upstream release.
  * Re-add sphinxconfig.py to the package source to allow offline building and
    customization.
  * Refresh patches.
  * Update dependency on pytools to 2021.2.7.
  * Drop python3-pyopencl-dbg autopkgtest.  (Closes: #996716)
  * Cherry-pick "Skip test_mempool_32bit_issues on 32-bit machines".

 -- Andreas Beckmann <anbe@debian.org>  Wed, 20 Oct 2021 23:35:38 +0200

pyopencl (2021.2.2-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Drop python3-pyopencl-dbg.  (Closes: #994334)
  * Update Standards-Version to 4.6.0; no changes necessary.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 28 Sep 2021 11:13:33 +0200

=== debian/control ===
--- 
+++ 
@@ -12,16 +12,14 @@
  mesa-common-dev,
  ocl-icd-opencl-dev | opencl-dev,
  opencl-c-headers,
- pocl-opencl-icd,
- pybind11-dev,
- python3-all-dbg,
  python3-all-dev,
- python3-mako,
- python3-numpy,
  python3-pybind11 (>= 2.5.0),
+ python3-setuptools,
+# only for running the tests
+ pocl-opencl-icd <!nocheck> | mesa-opencl-icd <!nocheck>,
+ python3-mako <!nocheck>,
  python3-pytest <!nocheck>,
- python3-pytools (>= 2017.6),
- python3-setuptools,
+ python3-pytools (>= 2021.2.7) <!nocheck>,
 Build-Depends-Indep:
  dh-sequence-sphinxdoc <!nodoc>,
  python-mako-doc <!nodoc>,
@@ -29,7 +27,7 @@
  python3-doc <!nodoc>,
  python3-sphinx (>= 1.0.7+dfsg) <!nodoc>,
  python3-sphinx-copybutton <!nodoc>,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://mathema.tician.de/software/pyopencl
 Vcs-Git: https://salsa.debian.org/opencl-team/python-pyopencl.git
@@ -40,12 +38,12 @@
 Multi-Arch: no
 Depends:
  ocl-icd-libopencl1 | libopencl1,
- pocl-opencl-icd | opencl-icd,
+ pocl-opencl-icd | mesa-opencl-icd | opencl-icd,
  python3-appdirs (>= 1.4.0),
  python3-mako,
  python3-numpy,
  python3-pkg-resources,
- python3-pytools (>= 2017.6),
+ python3-pytools (>= 2021.2.7),
  python3-six,
  ${misc:Depends},
  ${python3:Depends},
@@ -56,7 +54,6 @@
  python3-imaging-tk,
  python3-matplotlib,
  python3-opengl,
- python3-pyopencl-dbg,
  python3-pytest,
 Description: Python 3 module to access OpenCL parallel computation API
  PyOpenCL lets you access the OpenCL parallel computation API from
@@ -77,36 +74,6 @@
   * Liberal licensing (MIT).
  .
  This package contains Python 3 modules.
-
-Package: python3-pyopencl-dbg
-Section: debug
-Architecture: any
-Multi-Arch: no
-Depends:
- python3-dbg,
- python3-pyopencl (= ${binary:Version}),
- ${misc:Depends},
- ${python3:Depends},
- ${shlibs:Depends},
-Description: Python 3 module to access OpenCL API (debug extensions)
- PyOpenCL lets you access the OpenCL parallel computation API from
- Python. Here's what sets PyOpenCL apart:
-  * Object cleanup tied to lifetime of objects. This idiom, often called
-    RAII in C++, makes it much easier to write correct, leak- and
-    crash-free code.
-  * Completeness. PyOpenCL puts the full power of OpenCL’s API at your
-    disposal, if you wish.
-  * Convenience. While PyOpenCL's primary focus is to make all of OpenCL
-    accessible, it tries hard to make your life less complicated as it
-    does so--without taking any shortcuts.
-  * Automatic Error Checking. All OpenCL errors are automatically
-    translated into Python exceptions.
-  * Speed. PyOpenCL’s base layer is written in C++, so all the niceties
-    above are virtually free.
-  * Helpful, complete documentation and a wiki.
-  * Liberal licensing (MIT).
- .
- This package contains extensions build for the Python 3 debug interpreter.
 
 Package: python-pyopencl-doc
 Section: doc

=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,6 @@
 include /usr/share/dpkg/pkg-info.mk
 
 export PYBUILD_DESTDIR_python3=debian/python3-$(DEB_SOURCE)/
-export PYBUILD_DESTDIR_python3-dbg=debian/python3-$(DEB_SOURCE)-dbg/
 
 ifneq (,$(filter nostrip,$(DEB_BUILD_OPTIONS)))
 DEB_CXXFLAGS_MAINT_STRIP=-O2
@@ -43,8 +42,3 @@
 
 override_dh_auto_test:
 	dh_auto_test -- -s custom --test-args="PYTHONPATH={build_dir} cp -r {dir}/test {build_dir} && cd {build_dir}/test && {interpreter} -m pytest --verbosity=2 -k 'not test_event_set_callback' && rm -rf {build_dir}/test"
-
-override_dh_strip:
-ifeq (,$(filter nostrip,$(DEB_BUILD_OPTIONS)))
-	dh_strip -ppython3-$(DEB_SOURCE) --dbg-package=python3-$(DEB_SOURCE)-dbg
-endif

=== debian/tests/control ===
Test-Command: set -efu
 ; cp -a test "$AUTOPKGTEST_TMP"
 ; for py in $(py3versions -r 2>/dev/null)
 ; do cd "$AUTOPKGTEST_TMP/test"
 ; echo "Testing with $py:"
 ; $py -m pytest --verbosity=2 2>&1
 ; done
Depends:
 python3-all,
 python3-pyopencl,
 python3-pytest,

## pyopencl 2022.1.6

=== debian/changelog ===
pyopencl (2022.1.6-2) unstable; urgency=medium

  * Fix building with pybind 2.10.  (Closes: #1016255)
  * Discard automatic changes to *.egg-info/* to fix building twice in a row.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 03 Aug 2022 07:48:14 +0200

pyopencl (2022.1.6-1) unstable; urgency=medium

  * New upstream release.
  * Add Build-Depends: pybuild-plugin-pyproject.
  * Bump Build-Depends: python3-pytest to (>= 7).

 -- Andreas Beckmann <anbe@debian.org>  Sun, 26 Jun 2022 13:10:36 +0200

pyopencl (2022.1.5-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Restrict B-D: pocl-opencl-icd to architectures where that is built.
  * Fix documentation build to be reproducible.
  * Add salsa-ci.yml to disable reprotest 'fileordering' variation.
  * Update Standards-Version to 4.6.1; no changes necessary.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 10 Jun 2022 22:53:07 +0200

=== debian/control ===
--- 
+++ 
@@ -12,13 +12,14 @@
  mesa-common-dev,
  ocl-icd-opencl-dev | opencl-dev,
  opencl-c-headers,
+ pybuild-plugin-pyproject,
  python3-all-dev,
  python3-pybind11 (>= 2.5.0),
  python3-setuptools,
 # only for running the tests
- pocl-opencl-icd <!nocheck> | mesa-opencl-icd <!nocheck>,
+ pocl-opencl-icd [amd64 arm64 armel armhf i386 hurd-i386] <!nocheck> | mesa-opencl-icd <!nocheck>,
  python3-mako <!nocheck>,
- python3-pytest <!nocheck>,
+ python3-pytest (>= 7) <!nocheck>,
  python3-pytools (>= 2021.2.7) <!nocheck>,
 Build-Depends-Indep:
  dh-sequence-sphinxdoc <!nodoc>,
@@ -27,7 +28,7 @@
  python3-doc <!nodoc>,
  python3-sphinx (>= 1.0.7+dfsg) <!nodoc>,
  python3-sphinx-copybutton <!nodoc>,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://mathema.tician.de/software/pyopencl
 Vcs-Git: https://salsa.debian.org/opencl-team/python-pyopencl.git

=== debian/rules ===
--- 
+++ 
@@ -30,8 +30,8 @@
 override_dh_auto_configure:
 	./configure.py --cl-enable-gl
 
+execute_after_dh_auto_build-indep: HOME=$(CURDIR)/debian/.debhelper/generated/_source/home
 execute_after_dh_auto_build-indep:
-	env HOME=$(mktemp -d) \
 	pybuild --build -i python3 -s custom --build-args 'make -C {dir}/doc html'
 
 execute_after_dh_auto_clean:
@@ -39,6 +39,7 @@
 	$(RM) doc/constants.inc
 	$(RM) -r tmp
 	$(RM) Makefile siteconf.py
+	$(RM) -r *.egg-info/
 
 override_dh_auto_test:
 	dh_auto_test -- -s custom --test-args="PYTHONPATH={build_dir} cp -r {dir}/test {build_dir} && cd {build_dir}/test && {interpreter} -m pytest --verbosity=2 -k 'not test_event_set_callback' && rm -rf {build_dir}/test"

## pyopencl 2022.3.1

=== debian/changelog ===
pyopencl (2022.3.1-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Backport upstream fix for "FTBFS on i386: = 1 failed, 304 passed, 7
    skipped, 1 deselected, 2 xfailed, 31 warnings in 736.25s (0:12:16) =",
    thanks to Sebastian Ramacher (Closes: #1030298).

 -- Roland Mas <lolando@debian.org>  Tue, 21 Feb 2023 14:45:02 +0100

pyopencl (2022.3.1-2) unstable; urgency=medium

  * Build without python-numpy-doc.  (Closes: #1028732)

 -- Andreas Beckmann <anbe@debian.org>  Mon, 16 Jan 2023 18:16:22 +0100

pyopencl (2022.3.1-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches and cleanup rules.
  * Update Standards-Version to 4.6.2; no changes necessary.
  * Disable loading external mathjax from documentation.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 04 Jan 2023 13:39:30 +0100

pyopencl (2022.2.4-1) unstable; urgency=medium

  [ Andreas Beckmann ]
  * New upstream release.
  * Cherry-pick "Allow fallback if KernelWithCustomEnqueue __class__
    assignment fails" to fix failures with python 3.11.  (Closes: #1024046)
  * Drop ancient d/NEWS.
  * Refresh patches.
  * Update Lintian overrides.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends-Indep: Drop versioned constraint on python3-sphinx.
    + python3-pyopencl: Drop versioned constraint on python3-appdirs in Depends.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 20 Nov 2022 20:08:50 +0100

=== debian/control ===
--- 
+++ 
@@ -23,12 +23,12 @@
  python3-pytools (>= 2021.2.7) <!nocheck>,
 Build-Depends-Indep:
  dh-sequence-sphinxdoc <!nodoc>,
+ jdupes <!nodoc>,
  python-mako-doc <!nodoc>,
- python-numpy-doc <!nodoc>,
  python3-doc <!nodoc>,
- python3-sphinx (>= 1.0.7+dfsg) <!nodoc>,
+ python3-sphinx <!nodoc>,
  python3-sphinx-copybutton <!nodoc>,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://mathema.tician.de/software/pyopencl
 Vcs-Git: https://salsa.debian.org/opencl-team/python-pyopencl.git
@@ -40,7 +40,7 @@
 Depends:
  ocl-icd-libopencl1 | libopencl1,
  pocl-opencl-icd | mesa-opencl-icd | opencl-icd,
- python3-appdirs (>= 1.4.0),
+ python3-appdirs,
  python3-mako,
  python3-numpy,
  python3-pkg-resources,
@@ -52,7 +52,7 @@
 Recommends:
  python-pyopencl-doc <!nodoc>,
 Suggests:
- python3-imaging-tk,
+ python3-pil.imagetk,
  python3-matplotlib,
  python3-opengl,
  python3-pytest,
@@ -86,7 +86,6 @@
  ${sphinxdoc:Depends},
 Recommends:
  python-mako-doc,
- python-numpy-doc,
  python3-doc,
 Suggests:
  python3-pyopencl,

=== debian/rules ===
--- 
+++ 
@@ -33,13 +33,21 @@
 execute_after_dh_auto_build-indep: HOME=$(CURDIR)/debian/.debhelper/generated/_source/home
 execute_after_dh_auto_build-indep:
 	pybuild --build -i python3 -s custom --build-args 'make -C {dir}/doc html'
+	find doc/_build/html/ -name '*.html' -exec sed -r -i \
+		-e 's,(<script async="async" )src(="https://cdn.jsdelivr.net/npm/mathjax@3/es5/tex-mml-chtml.js"></script>),<!-- \1DISABLED\2 -->,' \
+		{} +
 
 execute_after_dh_auto_clean:
-	$(MAKE) -C doc clean
+	$(RM) -r doc/_build/
 	$(RM) doc/constants.inc
-	$(RM) -r tmp
 	$(RM) Makefile siteconf.py
+	$(RM) -r __pycache__/
+	$(RM) -r tmp/
 	$(RM) -r *.egg-info/
 
 override_dh_auto_test:
 	dh_auto_test -- -s custom --test-args="PYTHONPATH={build_dir} cp -r {dir}/test {build_dir} && cd {build_dir}/test && {interpreter} -m pytest --verbosity=2 -k 'not test_event_set_callback' && rm -rf {build_dir}/test"
+
+execute_after_dh_installexamples-indep:
+	jdupes -r -M debian/python-pyopencl-doc/usr/share/doc/python-pyopencl-doc
+	jdupes -r -l debian/python-pyopencl-doc/usr/share/doc/python-pyopencl-doc

## pyopencl 2023.1.1

=== debian/changelog ===
pyopencl (2023.1.1-1) unstable; urgency=medium

  * New upstream release.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 29 Jun 2023 17:54:41 +0200

pyopencl (2023.1-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 12 Jun 2023 10:46:24 +0200

## pyopencl 2023.1.3

=== debian/changelog ===
pyopencl (2023.1.3-1build2) noble; urgency=medium

  * No-change rebuild with Python 3.12 only

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 11 Apr 2024 11:20:00 +0000

pyopencl (2023.1.3-1build1) noble; urgency=medium

  * No-change rebuild with Python 3.12 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 31 Oct 2023 17:21:15 +0000

pyopencl (2023.1.3-1) unstable; urgency=medium

  * New upstream release.
  * Drop python3-six dependency, no longer used since 2021.1.
    (Closes: #1052511)

 -- Andreas Beckmann <anbe@debian.org>  Wed, 11 Oct 2023 11:58:24 +0200

pyopencl (2023.1.2-1) unstable; urgency=medium

  * New upstream release.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 21 Sep 2023 19:16:39 +0200

=== debian/control ===
--- 
+++ 
@@ -45,7 +45,6 @@
  python3-numpy,
  python3-pkg-resources,
  python3-pytools (>= 2021.2.7),
- python3-six,
  ${misc:Depends},
  ${python3:Depends},
  ${shlibs:Depends},

## pyopencl 2024.1

=== doc/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line, and also
# from the environment for the first two.
SPHINXOPTS    ?=
SPHINXBUILD   ?= python $(shell which sphinx-build)
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

constants:
	python make_constants.py > constants.inc

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile constants
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
pyopencl (2024.1-3build1) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 23:03:08 +0000

pyopencl (2024.1-3) unstable; urgency=medium

  * Fix building with Numpy 2.  (Closes: #1094374, #1095214)

 -- Andreas Beckmann <anbe@debian.org>  Mon, 10 Feb 2025 09:59:39 +0100

pyopencl (2024.1-2) unstable; urgency=medium

  * Fix building with sphinx 8.  (Closes: #1090265)
  * Stop using deprecated pkg_resources.  (Closes: #1083583)
  * Update Standards-Version to 4.7.0; no changes necessary.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 04 Jan 2025 03:52:27 +0100

pyopencl (2024.1-1) unstable; urgency=medium

  * New upstream release.
  * Drop python3-appdirs dependency, no longer used since 2021.2.11.
    (Closes: #1067987)

 -- Andreas Beckmann <anbe@debian.org>  Tue, 02 Apr 2024 12:57:11 +0200

=== debian/control ===
--- 
+++ 
@@ -28,7 +28,7 @@
  python3-doc <!nodoc>,
  python3-sphinx <!nodoc>,
  python3-sphinx-copybutton <!nodoc>,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://mathema.tician.de/software/pyopencl
 Vcs-Git: https://salsa.debian.org/opencl-team/python-pyopencl.git
@@ -40,10 +40,8 @@
 Depends:
  ocl-icd-libopencl1 | libopencl1,
  pocl-opencl-icd | mesa-opencl-icd | opencl-icd,
- python3-appdirs,
  python3-mako,
  python3-numpy,
- python3-pkg-resources,
  python3-pytools (>= 2021.2.7),
  ${misc:Depends},
  ${python3:Depends},
